# Makefile for AnsiCmd-class Texinfo Help  -  Invoke using "gmake"
# Mahlon R. Smith
# Tools: gmake    (any modern version)
#        makeinfo (version 6.8 or higher)
# 
# 24-Dec-2025

.RECIPEPREFIX = >

TEXI_FILES = AnsiCmd_00_menu.texi \
             AnsiCmd_01_introduction.texi \
             AnsiCmd_02_invoking.texi \
             AnsiCmd_03_library.texi \
             AnsiCmd_04_window.texi \
             AnsiCmd_05_testing.texi \
             AnsiCmd_06_buildsource.texi \
             AnsiCmd_07_gStringTextTool.texi \
             AnsiCmd_08_CsvView.texi \
             AnsiCmd_09_AcEdit.texi \
             AnsiCmd_10_TFMTest.texi

ansicmd.info: $(TEXI_FILES)
> makeinfo --fill-column=78 --no-split AnsiCmd_00_menu.texi
> makeinfo --fill-column=78 --html --no-split AnsiCmd_00_menu.texi

.PHONY: clean
clean:
> rm -f ansicmd.info ansicmd.html ansicmd.html~
